declare type SegmentMethod = 'trackSubmit' | 'trackClick' | 'trackLink' | 'trackForm' | 'pageview' | 'identify' | 'reset' | 'group' | 'track' | 'ready' | 'alias' | 'debug' | 'page' | 'once' | 'off' | 'on';
declare type SegmentMethods = {
    [key in SegmentMethod]: Function;
};
interface Analytics extends SegmentMethods, Array<any> {
}
interface InitializedAnalytics extends Omit<Analytics, keyof Array<any>> {
    initialize: Function;
}
declare type SegmentAnalytics = Analytics | InitializedAnalytics;
declare global {
    interface Window {
        analytics?: SegmentAnalytics;
    }
}
declare class Analytics extends Array {
    readonly SNIPPET_VERSION = "4.1.0";
    constructor();
}
declare function initialize(writeKey: string): void;
declare const segment: {
    initialize: typeof initialize;
    readonly analytics: SegmentAnalytics;
};
export { SegmentAnalytics, segment };
